Loading...
Searching...
No Matches
CLeadingTerm Class Reference

`#include <syzextra.h>`

## Public Member Functions

| CLeadingTerm (unsigned int label, const poly lt, const ring)
bool | DivisibilityCheck (const poly multiplier, const poly t, const unsigned long not_sev, const ring r) const
bool | DivisibilityCheck (const poly product, const unsigned long not_sev, const ring r) const
bool | CheckLT (const ideal &L) const
poly | lt () const
unsigned long | sev () const
unsigned int | label () const

## Private Member Functions

| CLeadingTerm ()
| CLeadingTerm (const CLeadingTerm &)
void | operator= (const CLeadingTerm &)

## Private Attributes

const unsigned long | m_sev
| not short exp. vector
const unsigned int | m_label
| index in the main L[] + 1
const poly | m_lt
| the leading term itself L[label-1]

## Detailed Description

Definition at line 214 of file syzextra.h.

## Constructor & Destructor Documentation

## CLeadingTerm() [1/3]

CLeadingTerm::CLeadingTerm | ( | unsigned int | label,
|  | const poly | lt,
|  | const ring | )

## CLeadingTerm() [2/3]

CLeadingTerm::CLeadingTerm | ( |  | ) |

private

## CLeadingTerm() [3/3]

CLeadingTerm::CLeadingTerm | ( | const CLeadingTerm & |  | ) |

private

## Member Function Documentation

## CheckLT()

bool CLeadingTerm::CheckLT | ( | const ideal & | L | ) | const

## DivisibilityCheck() [1/2]

bool CLeadingTerm::DivisibilityCheck | ( | const poly | multiplier,
|  | const poly | t,
|  | const unsigned long | not_sev,
|  | const ring | r ) const

## DivisibilityCheck() [2/2]

bool CLeadingTerm::DivisibilityCheck | ( | const poly | product,
|  | const unsigned long | not_sev,
|  | const ring | r ) const

## label()

unsigned int CLeadingTerm::label | ( |  | ) | const

inline

Definition at line 228 of file syzextra.h.

{ return m_label; };
CLeadingTerm::m_label
const unsigned int m_label
index in the main L[] + 1
Definition syzextra.h:233

## lt()

poly CLeadingTerm::lt | ( |  | ) | const

inline

Definition at line 226 of file syzextra.h.

{ return m_lt; };
CLeadingTerm::m_lt
const poly m_lt
the leading term itself L[label-1]
Definition syzextra.h:235

## operator=()

void CLeadingTerm::operator= | ( | const CLeadingTerm & |  | ) |

private

## sev()

unsigned long CLeadingTerm::sev | ( |  | ) | const

inline

Definition at line 227 of file syzextra.h.

{ return m_sev; };
CLeadingTerm::m_sev
const unsigned long m_sev
not short exp. vector
Definition syzextra.h:230

## Field Documentation

## m_label

const unsigned int CLeadingTerm::m_label

private

index in the main L[] + 1

Definition at line 233 of file syzextra.h.

## m_lt

const poly CLeadingTerm::m_lt

private

the leading term itself L[label-1]

Definition at line 235 of file syzextra.h.

## m_sev

const unsigned long CLeadingTerm::m_sev

private

not short exp. vector

Definition at line 230 of file syzextra.h.

The documentation for this class was generated from the following file:

- Singular/dyn_modules/syzextra/syzextra.h